#pragma once

typedef struct Faction {
  char* name;

  struct Faction** enemies;
  struct Faction** allies;
} Faction;

Faction* faction_get(const char* name);

int areEnemies(Faction* a, Faction* b);
int areAllies(Faction* a, Faction* b);

int factions_load(void);
void factions_free(void);

